<?php
//* *******Licence**************
//MyPlanet v0.3
//Auteurs : Sylvain Saleur
//syeric1@gmail.com
//
//
//Licence GNU GPL v3
//************************************************************
require "../bin/functions.php";
//action="addfeed.php" 
//on vérifie qu'on est logué
session_start();
test_log_bis();

//Et on y va
//On recupere la liste des feeds
$feeds=feedList2();
//On prepare les feeds pour les passer en URL
$url_feeds=urlencode(serialize($feeds));
//On recupere la liste des categories
$cats=catList2();
//On traite le tableau des feeds
foreach($feeds as $feed){
   $last_feed_id_tab[]=$feed["ID"];
}
//On recupere l' ID le plus grand disponible pour les feeds
$last_feed_id=max($last_feed_id_tab);
//Idem pour les categories
$last_cat_id= max(array_keys($cats));
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="../theme/default/style.css" media="screen" />
<script type="text/javascript" src="../jquery/jquery.js"></script>
<script>
function ping(rss,adsrc){
var test="";
$.ajax({
			   type: "GET",
			   async: false,
			   url: "ajax.php",
			   //cat: param,
			   //view: param2,
			   data: "url="+rss+"&url2="+adsrc,
			   success: function(msg){
				if (msg=="ad1404"){
					test="false1";
				}
				else if (msg=="ad2404"){
					test="false2";
				}
				else if (msg=="mistake"){
					test="false3";
				}
				else if (msg=="ad1false"){
					test="false4";
				}
				else{
					test="OK";
				}
			}
});
return test;
}
$(function(){
	$("#envoyer").click(function(){
		$("#loading").show();
		rss=$("#adresse").val();
		adsrc=$("#adressesource").val();
		if($("#names").val()==""){
			$("#loading").hide();
			alert("Un nom doit être donné !");
			$("#names").css("border-color","red");
			return false;
		}
		else if(rss==""){
			$("#loading").hide();
			alert("L'adresse du flux doit être remplie !");
			$("#adresse").css("border-color","red");
			return false;
		}
		else if(adsrc==""){
			$("#loading").hide();
			alert("L'adresse source doit être remplie !");
			$("#adressesource").css("border-color","red");
			return false;
		}
		else if($("#refresh").val()==""){
			$("#loading").hide();
			alert("Le délai de rafraichissement doit être donné !");
			$("#refresh").css("border-color","red");
			return false;
		}
		else if($("#nbarticles").val()==""){
			$("#loading").hide();
			alert("Le nombre d'articles doit être donné !");
			$("#nbarticles").css("border-color","red");
			return false;
		}
		else if(rss!="" && adsrc!=""){
			test=ping(rss,adsrc);
			//while (test==""){return false;}
			if (test=="false1"){
				$("#loading").hide();
				alert("L'adresse du flux ne semble pas joignable. Il y a soit une erreur dans l'adresse, soit un problème de connexion");
				$("#adresse").css("border-color","red");
				return false;
			}
			else if(test=="false2"){
				$("#loading").hide();
				alert("L'adresse source ne semble pas joignable. Il y a soit une erreur dans l'adresse, soit un problème de connexion");
				$("#adressesource").css("border-color","red");
				return false;
			}
			else if(test=="false3"){
				$("#loading").hide();
				alert("L'adresse source et l'adresse du flux sont identiques. Il doit y avoir un soucis...");
				$("#adressesource").css("border-color","red");
				$("#adresse").css("border-color","red");
				return false;
			}
			else if(test=="false4"){
				$("#loading").hide();
				if (confirm("L'adresse donnée pour le flux ne semble pas être un flux RSS. Voulez-vous enregistrer tout de même ?")){
					return true;
				}
				else {
					$("#adresse").css("border-color","red");
					return false;
				}
			}	
			else if (test=="OK"){
				string="id="+$('#id').val()+"&ordre="+$('#ordre').val()+"&nom="+$('#nom').val()+"&adresse="+$('#adresse').val()+"&names="+$('#names').val()+"&adressesource="+$('#adressesource').val()+"&refresh="+$('#refresh').val()+"&nbarticles="+$('#nbarticles').val()+"&categorie_feed="+$('#categorie_feed').val();
				$.ajax({ type: "POST", async: false, url: "addfeed.php", data: string,
				success: function(msg){
					if(msg=="OK"){
						$(".main").empty();
						$("#loading").hide();
						$(".main").append("Flux ajouté avec succès !<br><br><input type='button' value='Fermer' onclick='window.opener.document.location.reload();window.close();'>");
					}
					else{
						$("#loading").hide();
						alert("Problème pendant l'enregistrement");
						return false;
					}
				}
				});
			}
			
		}


	});

});
</script>
</head>
<body>
<div id="loading"><img src="../img/ajax-loader.gif" alt="ajax-loader" /></div>
<div id="page">
<div class="main">
<form method="POST" id="form_modif" action="">
<input type="hidden" name="id" value="<? print $last_feed_id+1 ?>" id="id">
<input type="hidden" name="ordre" value="" id="ordre" />
<input type="hidden" name="nom" size="10" id="nom" />
Saisir l'adresse du flux rss (exemple : http://blog.toto.org/rss.php) : <br /><br />
<input type="text" name="adresse" size="30" id="adresse" /><br /><br />
Donner le nom de la source (exemple : le blog de toto) :<br /><br />
<input type="text" name="names" size="10" id="names" /><br /><br />
Saisir l'adresse "racine" du site (exemple : http://blog.toto.org) : <br /><br />
<input type="text" name="adressesource" size="30" id="adressesource" /><br /><br />
Donner le délai de rafraichissement en heure(s) des flux (nombre entier uniquement) :<br /><br />
<input type="text" name="refresh" size="2" id="refresh" /><br /><br />
Donner le nombre d'articles affichés pour ce flux (essayer de rester homogène avec les autres pour un meilleur résultat) :<br /><br />
<input type="text" name="nbarticles" size="2" id="nbarticles" /><br /><br />
Sélectionner la catégorie associée :<br /><br />
<select name="categorie_feed" id="categorie_feed">
<?php
foreach ($cats as $key2=>$val2){

?>
<option value="<?php print $key2 ?>"><?php print $val2 ?></option>

<?php
}
?>
</select><br /><br />
<input type="submit" value="Enregistrer" id="envoyer">
</form>
</div>
</div>
</body>
</html>
